#!/usr/bin/env python
# -*- coding: UTF-8 -*-
###########################################################################
# Eole NG - 2009
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# http://eole.orion.education.fr - eole@ac-dijon.fr
#
# Licence CeCill
# cf:  http://www.cecill.info/licences.fr.html
###########################################################################

import sys
import socket
from os.path import isfile
from os import system
from pyeole.httprequest import HTTPRequest
from creole.parsedico import parse_dico

# adresse IP et port du serveur d'enregistrement
server = "http://194.167.18.21/apps/AutoDiag/index.n/diagnose"
md5file = "/etc/eole/.server.MD5"
conf_eole = parse_dico()

def get_module():
    """ récupération de la version du module """
    fp = file('/etc/eole/version')
    return (fp.read().split()[0])

def get_md5():
    """ calcul de l'identifiant md5 """
    if not isfile(md5file) :
        system("md5sum /etc/eole/config.eol | awk '{print $1}' > %s" % md5file)
    fp = file(md5file)
    return (fp.read().split()[0])

def get_proxy():
    """ récupération du proxy à utiliser """
    if 'nom_cache_pere' in conf_eole and conf_eole['nom_cache_pere'] != '':
        # Cache pere sur Amon
        return "http://%(nom_cache_pere)s:%(port_cache_pere)s" % conf_eole
    elif 'proxy' in conf_eole and conf_eole['proxy'] == 'oui':
        # Proxy déclaré explicitement
        return "http://%(proxy_server)s:%(proxy_port)s" % conf_eole
    else:
        return ''

if __name__ == "__main__":
    module = get_module()
    id5 = get_md5()
    rne = conf_eole['numero_etab']
    data = {"ID5" : id5, "module" : module,"rne" : rne,"dep" : rne[0:3]}
    socket.setdefaulttimeout(5)
    proxy = get_proxy()
    if proxy != '':
        # essai avec proxy
        try:
            req = HTTPRequest(proxy={'http':proxy})
            req.request(server, post_datas=data)
        except:
            pass
        else:
            sys.exit(0)
    # essai sans proxy
    try:
        req = HTTPRequest()
        req.request(server, post_datas=data)
    except:
        sys.exit(1)
    else:
        sys.exit(0)
