#!/usr/bin/env python
# -*- coding: UTF-8 -*-
"""
script de génération d'un certificat ssl
prend un nom de fichier facultatif en argument (destination du certificat)

usage::

    %prog (-f) [nom_certif]
     si [nom_certif] non renseigné, regénère tous les certificats par défaut ainsi que la ca locale. Sinon, ne génère que [nom_certif]
    -f :force la regénération du (ou des) certificat(s) s'il(s) existe(nt)
"""
from creole import cert
import sys, os
regen = False
if "-h" in sys.argv or "--help" in sys.argv:
    print __doc__
    sys.exit(0)
if "-f" in sys.argv:
    regen = True
    sys.argv.remove('-f')
copy = False
if "-c" in sys.argv:
    copy = True
    sys.argv.remove('-c')
try:
    certfile = sys.argv[1]
except:
    certfile = None
try:
    if certfile:
        dest_dir = os.path.dirname(os.path.abspath(certfile))
        if not os.path.isdir(dest_dir):
            print "Répertoire de destination inexistante (%s)" % dest_dir
            sys.exit(1)
        print "Generation du certificat machine"
        cert.gen_certif(certfile,regen=regen, copy_key=copy)
    else:
        # génération de tous les certificats (CA, eole, scribe...)
        cert.gen_certs(regen=regen)
    sys.exit(0)
except Exception, e:
    print "Erreur : "
    print e.message
    sys.exit(1)
